Stackable::chunk
Stackable::isTerminated
Stackable
PHP Manual

# Stackable::isRunning

State Detection

### Description

final public boolean Stackable::isRunning ( void )

A Stackable is running when a Worker Thread is executing it

### Parameters

This function has no parameters.

### Return Values

A boolean indication of state

### Examples

Example #1 Detect the state of the referenced Stackable

`<?php
class Work extends Stackable {
public function run() {
$this->synchronized(function($object){
$object->wait();
}, $this);
}
}
class My extends Worker {
public function run() {
/** ... **/
}
}
$my = new My();
$work = new Work();
$my->stack($work);
$my->start();
$work->synchronized(function($object){
$object->notify();
}, $work);
?>`

The above example will output:

    bool(true)